package com.mall.common.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * @Author：Chen
 * @Package：com.mall.common.config
 * @Project：flat_house
 * @name：ThreadPoolConfig
 * @Date：2024/3/27 19:39
 * @Description: TODO
 */
@Configuration
public class ThreadPoolConfig {

    private static  final  Integer availableProcessors = Runtime.getRuntime().availableProcessors();

    @Bean
    public ThreadPoolExecutor getThreadPoolExecutor (){
        ThreadPoolExecutor poolExecutor = new ThreadPoolExecutor(availableProcessors*2, (availableProcessors*2)+25, 5, TimeUnit.SECONDS, new LinkedBlockingQueue<>(availableProcessors));
        return poolExecutor;
    }

}
