package com.mall.common.domain.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.autoconfigure.batch.BatchDataSource;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 *Spikes接参
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpikesRequest {
    /**
     * 商品主图
     */
    private String spikesImg;
    /**
     * 轮播图
     */
    private String spikesManyImg;
    /**
     * 商品标题
     */
    private String spikesTitle;
    /**
     * 秒杀活动简介
     */
    private String spikesThings;
    /**
     * 单位
     */
    private String spikesUnit;
    /**
     * 当天参与活动次数
     */
    private Integer spikesNum;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 状态(0已开启1为开启)
     */
    private Integer spikesState;
    /**
     * spuId
     */
    private Long spuId;
    /**
     * 秒杀商品信息
     */
    private List<Sku> skuList;

    @Data
    public static class Sku{
        private Long skuId; //商品id
        private BigDecimal activityPrice; //秒杀价格
        private Integer inventoryRestrict; //限制数量
    }
}
