package com.mall.common.handler;

import com.alibaba.csp.sentinel.adapter.spring.webmvc.callback.BlockExceptionHandler;
import com.alibaba.csp.sentinel.slots.block.BlockException;
import com.alibaba.csp.sentinel.slots.block.authority.AuthorityException;
import com.alibaba.csp.sentinel.slots.block.degrade.DegradeException;
import com.alibaba.csp.sentinel.slots.block.flow.FlowException;
import com.alibaba.csp.sentinel.slots.block.flow.param.ParamFlowException;
import com.alibaba.csp.sentinel.slots.system.SystemBlockException;
import com.mall.common.result.BizException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author：Chen
 * @Package：com.mall.common.handler
 * @Project：flat_house
 * @name：MyBlockExceptionHandler
 * @Date：2024/3/31 10:01
 * @Description: TODO
 */
@Slf4j
@Component
public class MyBlockExceptionHandler implements BlockExceptionHandler {
    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, BlockException e) throws Exception {
        log.error("BlockExceptioonHandler ++++++++++++++++++++++++++"+e.getRule());

        if(e instanceof FlowException){
            throw new BizException(100,"接口限流了");
        }else if(e instanceof DegradeException){
            throw new BizException(101,"服务降级了");
        }else if(e instanceof ParamFlowException){
            throw new BizException(102,"热点参数限流了");
        }else if(e instanceof SystemBlockException){
            throw new BizException(103,"触发系统保护规则了");
        }else if(e instanceof AuthorityException){
            throw new BizException(104,"授权规则不通过");
        }
    }
}
