package com.mall.server.aop;
import com.mall.common.utils.JwtUtils;
import lombok.extern.slf4j.Slf4j;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Map;

/**
 *aop
 */
@Aspect
@Component
@Slf4j
public class LogAnnotationAspect {

    @Pointcut("execution(* com.mall.server.service.impl.*.*(..))")
    private void allMethod(){}

    //应用周围通知
    @Around("allMethod()")
    public void doAround(ProceedingJoinPoint call) throws Throwable{
        long start = new Date().getTime();
        String methodName = call.getSignature().getName(); // 获取方法名
        Object[] args = call.getArgs(); // 获取方法的参数
        call.proceed();
        long end = new Date().getTime();
        log.info("耗时："+(end-start)/1000+"秒");
        log.info(methodName+"()方法执行");
        for (Object arg : args) {
            log.info("参数："+String.valueOf(arg));
        }
    }

}
