package com.mall.server.domain;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 *商品Sku
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("pms_sku")
public class SkuEntity {

    /**
     * id
     */
    private Long id;
    /**
     * spuId
     */
    private Long spuId;
    /**
     * sku名称
     */
    private String name;
    /**
     * 所属分类id
     */
    private Long categoryId;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 默认图片
     */
    private String defaultImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 副标题
     */
    private String subtitle;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 活动价格
     */
    private BigDecimal activityPrice;
    /**
     * 重量（克）
     */
    private Integer weight;
    /**
     * 库存
     */
    private Integer inventory;
    /**
     * 库存限制量
     */
    private Integer inventoryRestrict;
    /**
     * 秒杀id（0未开启秒杀）
     */
    private Integer spikesId;
    /**
     * 砍价id（0未开启砍价）
     */
    private Integer bargainId;
    /**
     * 拼团id（0未开启拼团）
     */
    private Integer groupId;
}
