package com.mall.system.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.mall.common.domain.UserInfo;
import com.mall.common.result.Result;
import com.mall.system.service.UserService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @Author: lzh
 * @CreateTime: 2024-04-22  17:05
 * @Description: TODO
 * @Version: 1.0
 */
@RestController
public class UserController {

    @Resource
    private UserService userService;

    /**
     * 查询用户名和密码
     * @return userInfo
     */
    @PostMapping("findLogin/{username}")
    public Result<UserInfo> findLogin(@PathVariable String username){
        LambdaQueryWrapper<UserInfo> userInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        userInfoLambdaQueryWrapper.eq(UserInfo::getUsername,username);
        UserInfo userInfo = userService.getOne(userInfoLambdaQueryWrapper);
        return Result.success(userInfo);
    }

    /**
     * 查询手机号
     * @return userInfo
     */
    @GetMapping("findPhone/{phone}")
    public Result<UserInfo> findPhone(@PathVariable("phone") String phone){
        Result result = userService.findPhone(phone);
        return result;
    }

    /**
     * 注册
     * @return userInfo
     */
    @PostMapping("register")
    public Result<UserInfo> register(@RequestBody UserInfo userInfo){
        userService.register(userInfo);
        return Result.success();
    }
}
