package com.mall.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mall.common.domain.UserInfo;
import com.mall.common.result.Result;
import com.mall.system.mapper.UserMapper;
import com.mall.system.service.UserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author: lzh
 * @CreateTime: 2024-04-22  17:06
 * @Description: TODO
 * @Version: 1.0
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, UserInfo>
        implements UserService {
    @Resource
    private UserMapper userMapper;

    @Override
    public Result findPhone(String phone) {
        UserInfo userInfo = this.getOne(new QueryWrapper<UserInfo>().lambda()
                .eq(UserInfo::getPhone, phone));
        return Result.success(userInfo);
    }

    @Override
    public void register(UserInfo userInfo) {
        //校验手机号
        if (this.getOne(new QueryWrapper<UserInfo>().lambda()
                .eq(UserInfo::getPhone, userInfo.getPhone())) != null) {
            throw new RuntimeException("手机号已存在");
        }
        this.save(userInfo);
    }
}
